# TestTopOpe_BOOP.hxx File Reference

`#include <TestTopOpe_VarsTopo.hxx>`
`#include <TopOpeBRep_DSFiller.hxx>`
`#include <TopoDS_Compound.hxx>`
`#include <TopOpeBRep_define.hxx>`
`#include <TopOpeBRepBuild_define.hxx>`

## Defines

#define | TESTTOPOPE_NKEYS 8
#define | TESTTOPOPE_NTKEYS 20
#define | ISINTEGER(Mstr) ((strspn((Mstr),"0123456789")==strlen((Mstr))))

## Enumerations

enum | Operation_t { BOOP_UND = -1, BOOP_TOPX = 0, BOOP_SECC = 1, BOOP_SECE = 2, BOOP_SEC = 3, BOOP_COM = 4, BOOP_C12 = 5, BOOP_C21 = 6, BOOP_FUS = 7 }

## Define Documentation

#define ISINTEGER | ( | Mstr |  | ) | ((strspn((Mstr),"0123456789")==strlen((Mstr))))

#define TESTTOPOPE_NKEYS 8

#define TESTTOPOPE_NTKEYS 20

## Enumeration Type Documentation

enum Operation_t

Enumeration values:

  BOOP_UND |
  BOOP_TOPX |
  BOOP_SECC |
  BOOP_SECE |
  BOOP_SEC |
  BOOP_COM |
  BOOP_C12 |
  BOOP_C21 |
  BOOP_FUS |